質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.46%

  • PHP

    14858questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • CentOS

    1964questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

PHPアップデート時エラー【php-mysqlインストールエラー】【CentOS】

解決済

回答 1

投稿 2016/06/18 23:12

  • 評価
  • クリップ 0
  • VIEW 5,218

tajix14

score 3

CentOS6.6のPHPをアップデートしました。

yum install --enablerepo=remi,remi-php56 php php-devel php-mbstring php-pdo php-gd
上記のコマンドでPHPを5.3から5.6に上げたところ、それまでアクセスできていたMySQLにアクセスできなくなり、phpMyAdminで確認したところ「mysqli 拡張がありません」と怒られてしまいました。

そこで下記でphp-mysqlをインストールしましたが、下記のように旧バージョンが残っておりうまくインストールできません。
どう対処すればいいか教えてください。
よろしくお願いいたします。

yum -y install php-mysql

[root@sv2 taji]# yum -y install php-mysql
読み込んだプラグイン:fastestmirror, refresh-packagekit, security
インストール処理の設定をしています
Loading mirror speeds from cached hostfile

  • base: ftp.riken.jp
  • epel: ftp.riken.jp
  • extras: ftp.riken.jp
  • remi-safe: mirrors.mediatemple.net
  • updates: ftp.riken.jp
    依存性の解決をしています
    --> トランザクションの確認を実行しています。
    ---> Package php-mysql.x86_64 0:5.3.3-47.el6 will be インストール
    --> 依存性の処理をしています: php-common(x86-64) = 5.3.3-47.el6 のパッケージ: php-mysql-5.3.3-47.el6.x86_64
    --> 依存性解決を終了しました。
    エラー: パッケージ: php-mysql-5.3.3-47.el6.x86_64 (base)
    要求: php-common(x86-64) = 5.3.3-47.el6
    インストール: php-common-5.6.22-1.el6.remi.x86_64 (@remi-php56)
    php-common(x86-64) = 5.6.22-1.el6.remi
    利用可能: php-common-5.3.3-47.el6.x86_64 (base)
    php-common(x86-64) = 5.3.3-47.el6
    問題を回避するために --skip-broken を用いることができません
    これらを試行できます: rpm -Va --nofiles --nodigest
    [root@sv2 taji]#
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+3

yum install --enablerepo=remi,remi-php56 php php-devel php-mbstring php-pdo php-gd 

とremiとremi-php56を指定してインストールしたのであれば

yum -y install php-mysql

ではなく
yum install --enablerepo=remi,remi-php56 php-mysql
としないと、標準のリポジトリを見に行ってしまいそうな気がしますね

投稿 2016/06/19 01:42

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/06/19 05:58

    ありがとうございます。
    出来ました。感謝です!!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.46%

関連した質問

同じタグがついた質問を見る

  • PHP

    14858questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • CentOS

    1964questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。